﻿using System;
using Microsoft.AspNetCore.Mvc;

namespace DIAndTheProgramCsCore31.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class WeatherForecastController : ControllerBase
    {
        private IServiceOne _serviceOne;
        private IServiceTwo _serviceTwo;
        public WeatherForecastController(IServiceOne serviceOne, IServiceTwo serviceTwo)
        {
            _serviceOne = serviceOne;
            _serviceTwo = serviceTwo;
        }

        [HttpGet]
        public IActionResult Get()
        {
            var rng = new Random();
            return Ok(new WeatherForecast
            {
                Date = DateTime.Now,
                TemperatureC = rng.Next(-20, 55),
                serviceOneStaticCounter = _serviceOne.StaticCounter(),
                serviceOneHashCode = _serviceOne.GetHashCode(),
                serviceTwoStaticCounter = _serviceTwo.StaticCounter(),
                serviceTwoHashCode = _serviceTwo.GetHashCode()
            });
        }
    }
}
